[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFont.SetFPColor

Sets the font Color to the specified TFPColor value.

## Declaration

Source position: graphics.pp line 550

`protected procedure TFont.SetFPColor(`
`const AValue: TFPColor`
`); override;`

## Arguments

`AValue` |  | TFPColor value applied to the Color property.

## Description

SetFPColor is a method used to set the Color for the font to the value specified in AValue. AValue contains a TFPColor value as defined in the FCL. SetFPColor calls FPColorToTColor to convert AValue to the TColor value applied to the Color property.

## See also

TFont.Color |  | Color used to render text using the font.
FPColorToTColor |  | FPColorToTColor - converts a color specified as a FPColor to a color of type TColor.